Author: Andreas Beckmann <anbe@debian.org>
Description: don't fail clean in the -dkms package which doesn't have tests/

--- a/Makefile
+++ b/Makefile
@@ -54,7 +54,7 @@ clean:
 	$(RM) psk_client
 	$(RM) compat-autoconf.h*
 	$(MAKE) -C $(KERNEL_SRC) $(BUILD_FLAGS) clean
-	$(MAKE) -C tests clean
+	test ! -d tests || $(MAKE) -C tests clean
 
 install: config
 	$(MAKE) -C $(KERNEL_SRC) $(BUILD_FLAGS) modules_install
